import React from "react";
import clsx from "clsx";
import { makeStyles } from "@material-ui/core/styles";
import {
  Grid,
  Divider,
  IconButton,
  Avatar,
  Typography,
  Paper,
  Table,
  TableCell,
  TableHead,
  TableRow,
  TableBody,
  Button,
  TableFooter,
  TablePagination,
  TextField
} from "@material-ui/core";
import SortAlphaIcon from "@material-ui/icons/SortByAlpha";

const useStyles = makeStyles(theme => ({
  actions: {
    padding: 12
  },
  container: {
    display: "flex",
    flexWrap: "wrap"
  },
  textField: {
    marginLeft: theme.spacing(1),
    marginRight: theme.spacing(1),
    width: 200
  },
  dense: {
    marginTop: 19
  },
  menu: {
    width: 200
  },
  pager: {
    align: "center"
  },
  bigAvatar: {
    margin: 10,
    width: 100,
    height: 100
  },
  label: {
    color: "grey"
  },
  paper: {
    margin: theme.spacing(1)
  },
  paperHeader: {
    margin: theme.spacing(2),
    paddingTop: theme.spacing(2),
    color: "grey"
  }
}));

function createData(a, b, c, d, e, f, g, h, i, j, k) {
  return { a, b, c, d, e, f, g, h, i, j, k };
}

const rows = [
  createData("BCUL0001", "Basic Cover Ultha", "19/03/2019", "Expired")
];

const rowsTwo = [
  createData("I113", "BLOOD SUGAR-RANDOM OR FASTING", "1250.00"),
  createData(
    "I117",
    "BLOOD SLIDE FOR MALARIAL PARASITES (BS FOR MPS)",
    "650.00"
  )
];

export default function TextFields() {
  const classes = useStyles();
  const [values, setValues] = React.useState({
    name: "Cat in the Hat",
    age: "",
    multiline: "Controlled",
    currency: "EUR"
  });

  const handleChange = name => event => {
    setValues({ ...values, [name]: event.target.value });
  };

  return (
    <form className={classes.container} noValidate autoComplete="off">
      <Paper>
        <Grid container>
          <Grid item xs={12}>
            <Typography className={classes.paperHeader}>
              Search Service
            </Typography>
            <Divider />
            <Grid container>
              <Grid item xs={6} className={classes.item}>
                <TextField
                  id="standard-name"
                  label="Code"
                  className={classes.textField}
                  value=""
                  margin="normal"
                />
              </Grid>
              <Grid item xs={6} className={classes.item}>
                <TextField
                  id="standard-name"
                  label="Name"
                  className={classes.textField}
                  value="BLO"
                  margin="normal"
                />
              </Grid>
            </Grid>
          </Grid>
          <Grid item xs={12} align="right">
            &nbsp;
            <Divider />
            &nbsp;
          </Grid>
          <Grid item xs={12}>
            <Table className={classes.table} size="small">
              <TableHead>
                <TableRow>
                  <TableCell align="center">
                    <Grid container>
                      <Grid item xs={11}>
                        Code
                      </Grid>
                      <Grid item xs={1} align="right">
                        <IconButton size="small">
                          <SortAlphaIcon />
                        </IconButton>
                      </Grid>
                    </Grid>
                  </TableCell>
                  <TableCell align="center">
                    <Grid container>
                      <Grid item xs={11}>
                        Name
                      </Grid>
                      <Grid item xs={1} align="right">
                        <IconButton size="small">
                          <SortAlphaIcon />
                        </IconButton>
                      </Grid>
                    </Grid>
                  </TableCell>
                  <TableCell align="center">Price</TableCell>
                </TableRow>
              </TableHead>
              <TableBody>
                {rowsTwo.map(row => (
                  <TableRow key={row.name}>
                    <TableCell component="th" scope="row" align="left">
                      {row.a}
                    </TableCell>
                    <TableCell align="left">{row.b}</TableCell>
                    <TableCell align="right">{row.c}</TableCell>
                  </TableRow>
                ))}
              </TableBody>
              <TableFooter>
                <TablePagination
                  className={classes.pager}
                  count={2}
                  page={0}
                  rowsPerPage={10}
                  rowsPerPageOptions={[10]}
                />
              </TableFooter>
            </Table>
          </Grid>

          <Grid item xs={12} className={classes.actions} align="right">
            <Button>Cancel</Button>
          </Grid>
        </Grid>
      </Paper>
    </form>
  );
}
